<Project Sdk="Microsoft.NET.Sdk.Web">

  <ItemGroup>
    <ProjectReference Include="..\GmRelay.Shared\GmRelay.Shared.csproj" />
    <ProjectReference Include="..\GmRelay.ServiceDefaults\GmRelay.ServiceDefaults.csproj" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Aspire.Npgsql" Version="13.2.2" />
    <PackageReference Include="Dapper" Version="2.1.72" />
    <PackageReference Include="Npgsql" Version="10.0.2" />
    <PackageReference Include="Telegram.Bot" Version="22.9.6.1" />
  </ItemGroup>

  <PropertyGroup>
    <TargetFramework>net10.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <BlazorDisableThrowNavigationException>true</BlazorDisableThrowNavigationException>
  </PropertyGroup>

</Project>
